Get all custom default folders Run in API Explorer
Ask AI
Query parameters
-
Filter by a comma separated list of UUIDs.
-
Filter by model type. Valid types are [client, case, plan]
-
Filter only active custom default folders
-
Number of results to return with pagination (Default 15. Max 500).
-
Field to sort by. Valid fields are [created_at, updated_at]. Negative sign to denote DESC. Defaults to '-created_at'.
GET
/api/v1/custom-default-folder
curl \
--request GET 'https://api.plannrcrm.com/api/v1/custom-default-folder' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
[
{
"uuid": "b0491c23-180a-4c7a-b3d2-f94aa59538e7",
"created_at": "2026-11-18T20:11:44+00:00",
"updated_at": "2026-11-18T20:11:44+00:00",
"description": "Shared client default folders",
"model": "client",
"parameter": "client",
"case_type": {
"uuid": "99739673-2e8c-4f1d-90c6-e874034c7962",
"name": "Mortgage Plan",
"created_at": "2026-11-18T20:11:44+00:00",
"updated_at": "2026-11-18T20:11:44+00:00"
},
"structure": [
{
"name": "Documents",
"children": [
{
"name": "Contracts",
"children": []
},
{
"name": "Emails",
"children": []
}
]
},
{
"name": "Notes",
"children": []
}
],
"is_active": true,
"for_existing": true
}
]
]
}